@echo off
set RELEASE_DIR=%CD%
echo RELEASE_DIR:%RELEASE_DIR%
pushd "%CD%"
CD /D "%~dp0\.."

:: Generally, an ant property can be true|on|yes vs false|off|no (or left unset)
:: see https://ant.apache.org/manual/properties.html#if+unless
:: However, the release-kit code requires envvar KEEP_SRC to be "true" in order to stop it deleting source code
:: set KEEP_SRC envvar here or in envi/etc/tasks/snapshot/environment.pl
::set KEEP_SRC=true
set debug=
if not "%KEEP_SRC%" == "" set debug="-Dkeep.src=%KEEP_SRC%"

@echo on
cmd.exe /c ant -f "%CD%\kits\%RK_NAME%\ant-scripts\build.xml" "-Drk.home=%CD%" "-Drk.name=%RK_NAME%" %debug% "-Dbasedir=%RELEASE_DIR%" -lib "%RELEASE_DIR%/installer/classes" %* | "%CD%\shared\windows\utils\tee.exe" "%RELEASE_DIR%\%RK_NAME%.out"

:end
set debug=

popd
